/// PersefoneDesktop - a GUI to the Persefone model of agriculture and ecosystems
///
/// This file creates the splash screen. Load it using a QQuickView.
///

import QtQuick
import QtQuick.Controls
import org.julialang

Rectangle {
	width: 1200
	height: 500
	
    Image {
        source: "persefonejl_logo_v3_splash.png"
		fillMode: Image.PreserveAspectFit
    }
    Timer {
		// Show the splash screen while the model object is initialised
		//XXX is 15s a good time here?
        interval: 15000; running: true; repeat: false
        onTriggered: parent.Window.window.close()
    }
}
